close all;                                % 모든 생성된 창을 닫음 
clear all;                                % 열려있는 작업영역(workspace)을 모두 비움 
clc;                                      % 명령(command) 창을 비움

n=0:50;                                   % 시간축 설정
s=1.02.^n;                                % 송신 신호  생성
v=0.5*cos(2*pi*n/8+pi/4);                 % 잡음 신호  생성
x=s+v;                                    % 수신 신호  생성
h=ones(7,1)/7;                            % 이동 평균 필터 임펄스 응답  생성
y=conv(h,x);                              % 컨벌루션   수행

subplot(3,1,1);                           % 3행 1열 분할 그림창의 1번 창
stem(n,s);                                % 송신 신호  그림
title('s[n]','fontsize',12);              % 그림 제목(글자 크기 지정)
subplot(3,1,2);                           % 3행 1열 분할 그림창의 2번 창
stem(n,x);                                % 수신 신호 x[n] 그림
title('x[n]','fontsize',12);              % 그림 제목(글자 크기 지정) 
subplot(3,1,3);                           % 3행 1열 분할 그림창의 3번 창
stem(n,y(1:length(n)));                   % 필터 출력 신호  그림
title('y[n]','fontsize',12);              % 그림 제목(글자 크기 지정)